- [HTTP request](https://developers.google.com/my-business/reference/verifications/rest/v1/locations/fetchVerificationOptions.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/verifications/rest/v1/locations/fetchVerificationOptions.md.txt#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/verifications/rest/v1/locations/fetchVerificationOptions.md.txt#body.request_body)
  - [JSON representation](https://developers.google.com/my-business/reference/verifications/rest/v1/locations/fetchVerificationOptions.md.txt#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/my-business/reference/verifications/rest/v1/locations/fetchVerificationOptions.md.txt#body.response_body)
  - [JSON representation](https://developers.google.com/my-business/reference/verifications/rest/v1/locations/fetchVerificationOptions.md.txt#body.FetchVerificationOptionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/my-business/reference/verifications/rest/v1/locations/fetchVerificationOptions.md.txt#body.aspect)
- [VerificationOption](https://developers.google.com/my-business/reference/verifications/rest/v1/locations/fetchVerificationOptions.md.txt#VerificationOption)
  - [JSON representation](https://developers.google.com/my-business/reference/verifications/rest/v1/locations/fetchVerificationOptions.md.txt#VerificationOption.SCHEMA_REPRESENTATION)
- [AddressVerificationData](https://developers.google.com/my-business/reference/verifications/rest/v1/locations/fetchVerificationOptions.md.txt#AddressVerificationData)
  - [JSON representation](https://developers.google.com/my-business/reference/verifications/rest/v1/locations/fetchVerificationOptions.md.txt#AddressVerificationData.SCHEMA_REPRESENTATION)
- [EmailVerificationData](https://developers.google.com/my-business/reference/verifications/rest/v1/locations/fetchVerificationOptions.md.txt#EmailVerificationData)
  - [JSON representation](https://developers.google.com/my-business/reference/verifications/rest/v1/locations/fetchVerificationOptions.md.txt#EmailVerificationData.SCHEMA_REPRESENTATION)

Reports all eligible verification options for a location in a specific language.

### HTTP request

`POST https://mybusinessverifications.googleapis.com/v1/{location=locations/*}:fetchVerificationOptions`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `location` | `string` Required. The location to verify. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "languageCode": string, "context": { object (`ServiceBusinessContext`) } } ``` |

| Fields ||
|---|---|
| `languageCode` | `string` Required. The BCP 47 language code representing the language that is to be used for the verification process. Available options vary by language. |
| `context` | ``object (`ServiceBusinessContext`)`` Optional. Extra context information for the verification of service businesses. Can only be applied to the locations whose business type is CUSTOMER_LOCATION_ONLY. Specifying an accurate address could enable more options. INVALID_ARGUMENT will be thrown if it is set for other business types of locations. |

### Response body

Response message for Verifications.FetchVerificationOptions.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "options": [ { object (`VerificationOption`) } ] } ``` |

| Fields ||
|---|---|
| `options[]` | ``object (`VerificationOption`)`` The available verification options. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## VerificationOption

The verification option represents how to verify the location (indicated by verification method) and where the verification will be sent to (indicated by display data).

| JSON representation |
|---|
| ``` { "verificationMethod": enum (`VerificationMethod`), // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "phoneNumber": string, "addressData": { object (`AddressVerificationData`) }, "emailData": { object (`EmailVerificationData`) }, "announcement": string // End of mutually exclusive fields. } ``` |

| Fields ||
|---|---|
| `verificationMethod` | ``enum (`VerificationMethod`)`` Method to verify the location. |
| One of the display data. The data must match the method. Empty if the corresponding method doesn't have any display data. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `phoneNumber` | `string` Set only if the method is PHONE_CALL or SMS. Phone number that the PIN will be sent to. |
| `addressData` | ``object (`AddressVerificationData`)`` Set only if the method is MAIL. |
| `emailData` | ``object (`EmailVerificationData`)`` Set only if the method is EMAIL. |
| `announcement` | `string` Set only if the method is VETTED_PARTNER. |
| End of mutually exclusive fields. ||

## AddressVerificationData

Display data for verifications through postcard.

| JSON representation |
|---|
| ``` { "business": string, "address": { object (`PostalAddress`) }, "expectedDeliveryDaysRegion": integer } ``` |

| Fields ||
|---|---|
| `business` | `string` Merchant's business name. |
| `address` | ``object (`PostalAddress`)`` Address that a postcard can be sent to. |
| `expectedDeliveryDaysRegion` | `integer` Expected number of days it takes to deliver a postcard to the address's region. |

## EmailVerificationData

Display data for verifications through email.

| JSON representation |
|---|
| ``` { "domain": string, "user": string, "isUserNameEditable": boolean } ``` |

| Fields ||
|---|---|
| `domain` | `string` Domain name in the email address. e.g. "gmail.com" in [foo@gmail.com](mailto:foo@gmail.com) |
| `user` | `string` User name in the email address. e.g. "foo" in [foo@gmail.com](mailto:foo@gmail.com) |
| `isUserNameEditable` | `boolean` Whether client is allowed to provide a different user name. |